Автор Тема: Установка Geogebra  (Прочитано 786 раз)

Оффлайн Серый Волхв

  • Завсегдатай
  • *
  • Сообщений: 15
    • Email
Установка Geogebra
« : 14.11.2016 21:05:12 »
Доброго времени суток! Вот попытался установить себе Geogebr'у.
rpm -i ./geogebra5-5.0.290.0-50169.x86_64.rpm
ошибка: неудовлетворенные зависимости:
hicolor-icon-theme   нужен для geogebra5-5.0.290.0-50169
synaptic говорит, что у меня стоит уже icon-theme-hicolor.
Это ведь не удовлетворяет зависимость геогебры? А как её удовлетворить?
Вопрос именно с этим пакетом, Portable-версия работает нормально, а в репозиториях очень старый пакет.
У меня starterkit P8 64-bit GNOME ядро стабильное 4.4.30-std-def-alt0.M80P.1
Вот надеюсь смог обуздать свой поток сознания до общеупотребительного уровня  ;-D

Оффлайн ruslandh

  • Поспешай не торопясь !
  • Модератор глобальный
  • *****
  • Сообщений: 30 559
  • Учиться .... Телепатами не рождаются, ими ....
    • Email
Re: Установка Geogebra
« Ответ #1 : 14.11.2016 21:13:18 »
Используйте apt-get

Оффлайн berkut_174

  • Мастер
  • ***
  • Сообщений: 6 510
    • Email
Re: Установка Geogebra
« Ответ #2 : 14.11.2016 21:15:04 »
apt-get update
apt-get install geogebra5-5.0.290.0-50169.x86_64.rpm
Сноси Винду, переходи на Линукс ! :)

Оффлайн Серый Волхв

  • Завсегдатай
  • *
  • Сообщений: 15
    • Email
Re: Установка Geogebra
« Ответ #3 : 14.11.2016 21:40:57 »
попробовал  :-D
apt-get install ./geogebra5-5.0.290.0-50169.x86_64.rpm
Чтение списков пакетов... Завершено
Построение дерева зависимостей... Завершено
Выбрано geogebra5 для './geogebra5-5.0.290.0-50169.x86_64.rpm'
Некоторые пакеты установить невозможно. Это может означать, что Вы
потребовали невозможного, либо пользуетесь нестабильным репозиторием.
Часть необходимых пакетов либо ещё не создана, либо была удалена
из каталога 'Входящие'.

Так как для выполнения Вашего запроса достаточно одной операции, то
скорее всего этот пакет просто невозможно установить. Сообщите, пожалуйста,
об этом как о найденной ошибке в пакете.
Эти сведения могут помочь найти выход из ситуации:

Следующие пакеты имеют неудовлетворенные зависимости:
  geogebra5: Требует: hicolor-icon-theme но пакет не может быть установлен
E: Извините, `битые' пакеты
что-то пошло не так. Но результат предсказуемый, как мне кажется, не имеет значения что я использую в данном конкретном случае rpm -i или apt-get install.

Оффлайн ruslandh

  • Поспешай не торопясь !
  • Модератор глобальный
  • *****
  • Сообщений: 30 559
  • Учиться .... Телепатами не рождаются, ими ....
    • Email

Оффлайн berkut_174

  • Мастер
  • ***
  • Сообщений: 6 510
    • Email
Re: Установка Geogebra
« Ответ #5 : 15.11.2016 06:48:33 »
Попробуйте установить (такой пакет есть в репах):
apt-get install icon-theme-hicolor
Потом устанавливайте свой пакет.
Сноси Винду, переходи на Линукс ! :)

Оффлайн Серый Волхв

  • Завсегдатай
  • *
  • Сообщений: 15
    • Email
Re: Установка Geogebra
« Ответ #6 : 16.11.2016 19:48:44 »
Извините, Беркут, отстал от темы. К сожалению, этот пакет стоит ещё со времени первой попытки, результат всё тот же, Вернее даже так всё дело в том, что что пакет icon-theme-color в репах и пакет hicolor-icon-theme в зависимостях геогебры - это одно и тоже, только называются по-разному - отсюда косяк.

to ruslandh: почитал ссылку - честно про то как отправить добрым людям запрос на включение программы в репозиторий не осилил - ну вот не работал с рассылками никогда. Путь стать мейнтейнером - это круто, я, конечно, технически понял суть, но не уверен, что смогу стать ответственным мейнтенером - тупо не хватает времени. Хотя возможно позже смогу....но у нас тут таких "смогульщиков" на форуме как аононимов на opennet.ru  ;-D

 

Оффлайн berkut_174

  • Мастер
  • ***
  • Сообщений: 6 510
    • Email
Re: Установка Geogebra
« Ответ #7 : 16.11.2016 20:42:56 »
Так а может с --nodeps попробовать тогда ? Хотя при каждой установке последующих пакетов будет "выносить" ваш пакет.
Сноси Винду, переходи на Линукс ! :)

Оффлайн Серый Волхв

  • Завсегдатай
  • *
  • Сообщений: 15
    • Email
Re: Установка Geogebra
« Ответ #8 : 16.11.2016 20:52:55 »
Хотя при каждой установке последующих пакетов будет "выносить" ваш пакет.
где-то так и есть плюс геогебра тупо не находит набор иконок, хотя они есть. Так что, боюсь, единственный выход по ссылке ruslandh'а начать вести этот пакет в репах, но тут я уже всё описал, так что пока буду пользовать portable-версией, хотя у неё свои косяки.